<?php
/**
* Plugin Name: Daily Routine with Google Calendar
* Plugin URI: https://wordpress.org/plugins/daily-routine
* Description: A custom Google Calendar embed with list and full view using shortcode [drwgc]
* Version: 1.0.0
* Author: Amit Mehta
* Text Domain: drwgc
* Author URI: https://codinghand.com
**/


function drwgc_enqueue_style() {
	
	wp_enqueue_style( 'main-style', plugin_dir_url( __FILE__ ) . 'full-calendar/css/core/main.min.css', false );
	wp_enqueue_style( 'daygrid-style', plugin_dir_url( __FILE__ ) . 'full-calendar/css/daygrid/main.min.css', false ); 	
	wp_enqueue_style( 'list-style', plugin_dir_url( __FILE__ ) . 'full-calendar/css/list/main.min.css', false ); 	
}


function drwgc_enqueue_script() {

	wp_enqueue_script( 'main-js', plugin_dir_url( __FILE__ ) . 'full-calendar/js/core/main.min.js', array('jquery'), true ); 
	wp_enqueue_script( 'daygrid-js', plugin_dir_url( __FILE__ ) . 'full-calendar/js/daygrid/main.min.js', array('jquery'), true );
	wp_enqueue_script( 'list-js', plugin_dir_url( __FILE__ ) . 'full-calendar/js/list/main.min.js', array('jquery'), true ); 
	wp_enqueue_script( 'gcal-js', plugin_dir_url( __FILE__ ) . 'full-calendar/js/google-calendar/main.min.js', array('jquery'), true ); 
	
	wp_register_script( 'scd', plugin_dir_url( __FILE__ ) . 'js/scd.js', array('jquery'), true );


	$translation_array = array(
		'gcal_api' => get_option('gcal_api'),
		'gcal_id' =>  get_option('gcal_id')
	);
	wp_localize_script( 'scd', 'object_name', $translation_array );

	// Enqueued script with localized data.
	wp_enqueue_script( 'scd', plugin_dir_url( __FILE__ ) . 'js/scd.js', array('jquery'), true );

	}


if( !is_admin() ){ //show only in public area

			add_action( 'wp_enqueue_scripts', 'drwgc_enqueue_style' );
			add_action( 'wp_enqueue_scripts', 'drwgc_enqueue_script' );

		}
else {
add_action( 'admin_enqueue_scripts', 'drwgc_enqueue_style' );
add_action( 'admin_enqueue_scripts', 'drwgc_enqueue_script' );
}


function drwgc_plugin_settings_page(){

?>

<style>

#calendar {
  max-width: 900px;
  margin: 40px auto;
  padding: 15px;
}
.frm  {
  max-width: 900px;
  margin: 40px auto;
  border:1px solid #000;
  padding: 15px;
}
</style>

	<div class="wrap1">
	<h1 style="text-align: center;text-transform: uppercase;">Plugin Panel</h1>

	<form method="post" action="options.php" class="frm">
		<?php
			settings_fields("plugin-section");
			do_settings_sections("plugin-options");
			submit_button();
		?>
	</form>
	
	<div id='calendar'></div>
</div>

	<?php

}


function drwgc_add_plugin_menu_item(){

	add_menu_page("Daily Routine", "Daily Routine", "manage_options","daily-routine","drwgc_plugin_settings_page",null,52);
}

add_action("admin_menu","drwgc_add_plugin_menu_item");



function drwgc_display_gcal_api_element(){

	?>

		<input type="text" name="gcal_api" id="gcal_api" value="<?php echo get_option('gcal_api'); ?>" />
	<?php
}


function drwgc_display_gcal_id_element(){
	?>
		<input type="text" name="gcal_id" id="gcal_id" value="<?php echo get_option('gcal_id'); ?>" />
	<?php
}


function drwgc_display_daily_routine_fields(){

	add_settings_section("plugin-section", "Plugin Settings", null, "plugin-options");

	add_settings_field("gcal_api", "Google API", "drwgc_display_gcal_api_element","plugin-options", "plugin-section");
	add_settings_field("gcal_id
		", "Google Calendar ID", "drwgc_display_gcal_id_element", "plugin-options", "plugin-section");

	$args = array(
	            'type' => 'string', 
	            'sanitize_callback' => 'sanitize_text_field',
	            'default' => NULL,
	            );
	register_setting("plugin-section", "gcal_api",$args);
	register_setting("plugin-section", "gcal_id",$args);
}

add_action("admin_init", "drwgc_display_daily_routine_fields");



	// [drwgc]

function drwgc_func() {
	ob_start();
	?> 
	<style>
		#calendar {
		  max-width: 900px;
		  margin: 40px auto;
		}
	</style>

	<div class="container-fluid">
	<div class="row">
		<div class="col-12">
			<div id="calendar"></div>
		</div>
	</div>
	</div>
	<?php
	return ob_get_clean();
}
add_shortcode( 'drwgc', 'drwgc_func' );

?>